## org.exist.xupdate
Class Modification

    java.lang.Object
      org.exist.xupdate.Modification

Direct Known Subclasses:
  Append, Conditional, Insert, Remove, Rename, Replace, Update

public abstract class Modification
extends java.lang.Object

Base class for all XUpdate modifications.

Author:
  Wolfgang Meier

Constructor Summary
`Modification(DBBroker broker, DocumentSet docs, java.lang.String selectStmt, java.util.Map namespaces, java.util.Map variables)` Constructor for Modification.

Method Summary
`AccessContext` `getAccessContext()`
`abstract java.lang.String` `getName()`
`abstract long` `process(Txn transaction)` Process the modification.
`void` `setAccessContext(AccessContext accessCtx)`
`void` `setContent(org.w3c.dom.NodeList nodes)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Modification

    public Modification(DBBroker broker,
                        DocumentSet docs,
                        java.lang.String selectStmt,
                        java.util.Map namespaces,
                        java.util.Map variables)

  Constructor for Modification.

Method Detail

### setAccessContext

    public final void setAccessContext(AccessContext accessCtx)

### getAccessContext

    public final AccessContext getAccessContext()

### process

    public abstract long process(Txn transaction)
                          throws PermissionDeniedException,
                                 LockException,
                                 EXistException,
                                 XPathException

  Process the modification. This is the main method that has to be implemented by all subclasses.

  Parameters:
    `transaction` -
  Throws:
    `PermissionDeniedException`
    `LockException`
    `EXistException`
    `XPathException`

### getName

    public abstract java.lang.String getName()

### setContent

    public void setContent(org.w3c.dom.NodeList nodes)

### toString

    public java.lang.String toString()

Copyright (C) Wolfgang Meier. All rights reserved.